﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebGrid_Infinite_Scroll_MVC.Models;

namespace WebGrid_Infinite_Scroll_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            List<Customer> dummy = new List<Customer>();
            dummy.Add(new Customer());
            return View(dummy);
        }

        [HttpPost]
        public JsonResult AjaxMethod(int pageIndex)
        {
            System.Threading.Thread.Sleep(1000);
            NorthwindEntities entities = new NorthwindEntities();
            CustomerModel model = new CustomerModel();
            model.PageIndex = pageIndex;
            model.PageSize = 10;
            model.RecordCount = entities.Customers.Count();
            int startIndex = (pageIndex - 1) * model.PageSize;
            model.Customers = (from customer in entities.Customers
                               select customer)
                            .OrderBy(customer => customer.CustomerID)
                            .Skip(startIndex)
                            .Take(model.PageSize).ToList();
            return Json(model);
        }
    }
}